Uploaded image for project: 'Bamboo Artifactory Plug-in'
  1. Bamboo Artifactory Plug-in
  2. BAP-351

Artifactory Bamboo plugin is not compatible with Bamboo 5.11.3

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Blocker
    • Resolution: Fixed
    • Affects Version/s: 1.10.1
    • Fix Version/s: 1.10.2
    • Labels:
      None

      Description

      Bamboo has removed the following constructor:

      new ArtifactDefinitionContextImpl(SecureToken.createFromString(securityToken));

      This is located in the GradlePropertiesCopier class.

      This constructor was removed within Bamboo 5.11.3:

      https://docs.atlassian.com/bamboo/5.11.3/com/atlassian/bamboo/plan/artifact/ArtifactDefinitionContextImpl.html

      Bamboo 5.10.3:

      https://docs.atlassian.com/bamboo/5.10.3/com/atlassian/bamboo/plan/artifact/ArtifactDefinitionContextImpl.html

      Upon running a Gradle build, there is an error in the logs:

      java.lang.NoSuchMethodError: com.atlassian.bamboo.plan.artifact.ArtifactDefinitionContextImpl.<init>(Lcom/atlassian/bamboo/security/SecureToken;)V
      at org.jfrog.bamboo.processor.GradlePropertiesCopier.call(GradlePropertiesCopier.java:74)

        Attachments

          Activity

            People

            • Assignee:
              alexeiv Alexei Vainshtein
              Reporter:
              alexeiv Alexei Vainshtein
            • Votes:
              2 Vote for this issue
              Watchers:
              5 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: